{ config
, lib
, pkgs
, ...
}:

with lib;
let
  cfg = config.my.programs.adb;
in
{
  options.my.programs.adb.enable = mkEnableOption "adb";

  config = mkIf cfg.enable {
    programs.adb.enable = true;
    users.users.moritz.extraGroups = [ "adbusers" ];
  };
}
